/*
 * $Id: Parameters_msg_error.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/include/Parameters.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace registerfile {
namespace registerfile_multi_banked {


  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,RegisterFile_Multi_Banked,"msg_error","Begin");

    Parameters_test test("RegisterFile_Multi_Banked");

    if (_nb_port_read < _nb_port_read_by_bank)
      test.error("Each bank read's port must be higher at number of read port");

    if (_nb_port_write < _nb_port_write_by_bank)
      test.error("Each bank write's port must be higher at number of write port");
    
    if (_nb_bank < 1)
      test.error("nb_bank must be higher at 1");

    log_printf(FUNC,RegisterFile_Multi_Banked,"msg_error","End");

    return test;
  };

}; // end namespace registerfile_multi_banked
}; // end namespace registerfile
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
